Set Receive Callback

Configure the callback URL to notify when a call is received. Each FoneNumber can be configured to use its own callback URL for handling receive notifications.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint is used to set up a callback whenever an incoming call is received.

{
  "fonenumber": {
    "fonenumber": "5559991000",
    "sms_options": {
      ...
    },
    "voice_options": {
      ...
    },
    "fax_options": {
      ...
    },
    ...
  }
}

Response Properties

PropertyTypeDescription
fonenumberobjectFoneNumber

Callback Data

ParameterTypeDescription
account_codestringAccount billed for call
directionstringOUTBOUND or INBOUND
statusstringBEGIN or END
fromstringUnique identifier for the call.
tostringUnique identifier for the call.
typestringVOICE or FAX
dispositionstringOne of the following:
  • ANSWERED
  • NO_ANSWER
  • REJECTED
  • BUSY
  • CANCEL
  • INVALID
  • FAILED
  • FAILED:###
uidstringUnique identifier for the call.

For more information, see Callbacks / Web Hooks.

Body Params
string
required

Your FracTEL FoneNumber

string
enum
required

Notification type.

Allowed:
string

Email address. REQUIRED if type is Email.

string
enum

Callback URL method. REQUIRED if type is Callback.

Allowed:
string

Callback URL. REQUIRED if type is Callback. See Notes for additional information.

string

Username for HTTP Basic authentication scheme

string

Password for HTTP Basic authentication scheme

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json